| optoICC

Loading...
Searching...
No Matches
optoICC.ecc1c.ECC1cChannel Class Reference
Inheritance diagram for optoICC.ecc1c.ECC1cChannel:

## Public Member Functions
| __init__ (self, board, int channel_number=0)

## Public Attributes
| StaticInput = ICCStaticInput(self._channel, self._board)
| => ICCStaticInput
| Analog = Registers.Analog(self._channel, self._board)
| => Analog
| LensCompensation = Registers.LensCompensation(self._channel, self._board)
| => LensCompensation
| SignalGenerator = Registers.ICCSignalGenerator(self._channel, self._board)
| => SignalGenerator
| DeviceEEPROM = Registers.DeviceEEPROM(self._channel, self._board)
| => DeviceEEPROM
| VectorPatternUnit = Registers.VectorPatternUnit(self._channel, self._board)
| => VectorPatternUnit
| TemperatureManager = Registers.ICCDeviceTemperatureManager(self._channel, self._board)
| => ICCDeviceTemperatureManager
| OutputConditioningFilter = Registers.OutputConditioningFilter(self._channel, self._board)
| => OutputConditioningFilter

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.ecc1c.ECC1cChannel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = 0 )

## Member Data Documentation

## ◆ StaticInput

optoICC.ecc1c.ECC1cChannel.StaticInput = ICCStaticInput(self._channel, self._board)

=> ICCStaticInput

## ◆ Analog

optoICC.ecc1c.ECC1cChannel.Analog = Registers.Analog(self._channel, self._board)

=> Analog

## ◆ LensCompensation

optoICC.ecc1c.ECC1cChannel.LensCompensation = Registers.LensCompensation(self._channel, self._board)

=> LensCompensation

## ◆ SignalGenerator

optoICC.ecc1c.ECC1cChannel.SignalGenerator = Registers.ICCSignalGenerator(self._channel, self._board)

=> SignalGenerator

## ◆ DeviceEEPROM

optoICC.ecc1c.ECC1cChannel.DeviceEEPROM = Registers.DeviceEEPROM(self._channel, self._board)

=> DeviceEEPROM

## ◆ VectorPatternUnit

optoICC.ecc1c.ECC1cChannel.VectorPatternUnit = Registers.VectorPatternUnit(self._channel, self._board)

=> VectorPatternUnit

## ◆ TemperatureManager

optoICC.ecc1c.ECC1cChannel.TemperatureManager = Registers.ICCDeviceTemperatureManager(self._channel, self._board)

=> ICCDeviceTemperatureManager

## ◆ OutputConditioningFilter

optoICC.ecc1c.ECC1cChannel.OutputConditioningFilter = Registers.OutputConditioningFilter(self._channel, self._board)

=> OutputConditioningFilter